hyperf/composer-plugin

Composer Plugin for Hyperf

Installs: 1 442

Dependents: 0

Suggesters: 0

Security: 0

Stars: 3

Watchers: 3

Forks: 0

Open Issues: 0

Type:composer-plugin

v1.0.0 2021-01-02 09:24 UTC

This package is auto-updated.

Last update: 2021-08-25 11:07:05 UTC


README

安装

composer require hyperf/composer-plugin

使用

使用此组件可以方便的对 files 自动加载进行排序,比如我们在 Laravel 中使用 hyperf/utils 组件时,会因为 Hyperf 自动加载优于 Laravel,导致 Laravel 无法正常使用。

故我们可以降低 hyperf/utils 组件的加载优先级,然后重新执行 composer dump-autoload -o 即可解决这个问题,样例如下:

"extra": {
    "hyperf": {
        "plugin": {
            "sort-autoload": {
                "hyperf/utils": -1
            }
        }
    }
},